#version 460

#include "/lib/settings.glsl"

#if FOG_STRENGTH
	uniform float rainStrength;

	uniform int isEyeInWater;
	uniform float blindness;

	uniform float far;

	out float fogStrength;
#endif

in vec3 vaPosition;
in vec2 vaUV0;
uniform mat4 projectionMatrix;

out vec2 texCoord;

void main() {
	gl_Position = projectionMatrix * vec4(vaPosition, 1.0);

	texCoord = vaUV0;

	#if FOG_STRENGTH
		fogStrength = (FOG_STRENGTH * 0.025 + rainStrength * RAIN_FOG + isEyeInWater * WATER_FOG + blindness * BLINDNESS_FOG) / (far * far * far);
	#endif
}